curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"channel": "EMAIL",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"legalBasisExplanation": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/communication-preferences/v4/statuses/batch/write"
payload = { "inputs": [
{
"channel": "EMAIL",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"legalBasisExplanation": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
channel: 'EMAIL',
subscriberIdString: '<string>',
subscriptionId: 123,
legalBasisExplanation: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/communication-preferences/v4/statuses/batch/write', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch update subscription status
Actualiza el estado de suscripción de un conjunto de contactos.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Un conjunto de objetos PublicStatusRequest, cada uno de los cuales representa los detalles del estado de la suscripción de un suscriptor específico. Esta propiedad es obligatoria.
Show child attributes
Show child attributes
Respuesta
successful operation
La fecha y la hora en que se completó la operación por lotes.
Un conjunto que contiene los resultados de la operación por lotes.
Show child attributes
Show child attributes
La fecha y la hora en que se inició la operación por lotes.
El estado actual de la operación por lotes, puede ser PENDIENTE, PROCESANDO, CANCELADO o COMPLETADO.
CANCELED, COMPLETE, PENDING, PROCESSING Una matriz de objetos de error que detalla cualquier problema encontrado.
Show child attributes
Show child attributes
URL con enlaces a recursos o documentación relacionados.
Show child attributes
Show child attributes
El número de errores encontrados durante la operación por lotes.
La fecha y hora en que se realizó la solicitud.